@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.container {
    display: flex;
    height: 80vh;

    & .filterContainer {
        padding: 33px 35px 0;
        width: 24%;
        background: $background;
        border-radius: 20px;
        border: 1px solid $lightBlueColor;
        box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);

        &.shiftList {
            width: 76%;
            margin-left: 25px;
        }

        & .filterHeading {
            padding-bottom: 15px;
            margin-bottom: 25px;
            border-bottom: 1px solid $lightBlueColor;
            color: $blackColor;
            @include font($fontGotham, 24px, 28.8px);
        }

        & .filterBody {
            color: $greyColor;
            @include font($fontGothamLight, 16px, 20px, 400);

            & .shift {
              display: flex;
              justify-content: space-between;
              height: 80px;
              align-items: center;
              padding: 15px 4% 15px 3%;
              border: 1px solid $greyColor;
              border-left: 3px solid $greyText;
              border-radius: 0px 15px 15px 0px;
              margin-bottom: 15px;

              & .date {
                display: flex;
                align-items: center;
                color: $greyText;
                @include font($fontGotham, 20px, 24px, 500);

                & div:last-child {
                    margin-left: 15px;
                    @include font($fontGothamLight, 14px, 16.8px, 400);
                }
              }

              & .avatar {
                  display: flex;
                  align-items: center;
                  color: $blackColor;
                  @include font($fontGotham, 18px, 22px, 500);

                  & .photo {
                    margin-left: 25px;
                    margin-right: 25px;
                  }
              }

              & .shiftTime {
                color: $blackColor;
                @include font($fontGotham, 18px, 22px, 500);
              }

              & .verticalLine {
                  width: 1px;
                  height: 60px;
                  background-color: $lightBlueColor;
              }
            }

            label {
                margin-left: 15px;
            }
        }
    }

    & .graphContainer {
        display: grid;
        width: 76%;
        margin-left: 25px;
        row-gap: 15px;
        column-gap: 15px;
        grid-template-columns: repeat(auto-fill, minmax(180px,280px));
        grid-template-rows: repeat(auto-fill, minmax(180px,280px));
        scrollbar-width: 5px;

        & .graphic {
            display: flex;
            justify-content: center;
            align-items: center;
            background: $lightBlueSecColor;
            border: 1px solid $lightBlueColor;
            border-radius: 20px;
            color: $greyText;
            font-size: 14px;

            & .text {
                @include font($fontGotham, 14px, 16.8px);
                color: $greyText;
            }

            & .graphText {
                @include font($fontGotham, 24px, 28.8px);
                color: $greyText;
            }
        }
    }
}
